Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/119
Addresses512
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:2200/119
First address
2c19:dd:d9:dd:c25:c25:94de:2200
Last address
2c19:dd:d9:dd:c25:c25:94de:23ff
Addresses
512
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:2200
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
2.2.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
3.2.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/119 is not on a 4-bit boundary, so it takes 2 /120 zones.
Split into smaller subnets/127

2c19:dd:d9:dd:c25:c25:94de:2200/119 makes 256 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:2200/1272c19:dd:d9:dd:c25:c25:94de:2201
22c19:dd:d9:dd:c25:c25:94de:2202/1272c19:dd:d9:dd:c25:c25:94de:2203
32c19:dd:d9:dd:c25:c25:94de:2204/1272c19:dd:d9:dd:c25:c25:94de:2205
42c19:dd:d9:dd:c25:c25:94de:2206/1272c19:dd:d9:dd:c25:c25:94de:2207
52c19:dd:d9:dd:c25:c25:94de:2208/1272c19:dd:d9:dd:c25:c25:94de:2209
62c19:dd:d9:dd:c25:c25:94de:220a/1272c19:dd:d9:dd:c25:c25:94de:220b
72c19:dd:d9:dd:c25:c25:94de:220c/1272c19:dd:d9:dd:c25:c25:94de:220d
82c19:dd:d9:dd:c25:c25:94de:220e/1272c19:dd:d9:dd:c25:c25:94de:220f
92c19:dd:d9:dd:c25:c25:94de:2210/1272c19:dd:d9:dd:c25:c25:94de:2211
102c19:dd:d9:dd:c25:c25:94de:2212/1272c19:dd:d9:dd:c25:c25:94de:2213
112c19:dd:d9:dd:c25:c25:94de:2214/1272c19:dd:d9:dd:c25:c25:94de:2215
122c19:dd:d9:dd:c25:c25:94de:2216/1272c19:dd:d9:dd:c25:c25:94de:2217
132c19:dd:d9:dd:c25:c25:94de:2218/1272c19:dd:d9:dd:c25:c25:94de:2219
142c19:dd:d9:dd:c25:c25:94de:221a/1272c19:dd:d9:dd:c25:c25:94de:221b
152c19:dd:d9:dd:c25:c25:94de:221c/1272c19:dd:d9:dd:c25:c25:94de:221d
162c19:dd:d9:dd:c25:c25:94de:221e/1272c19:dd:d9:dd:c25:c25:94de:221f
172c19:dd:d9:dd:c25:c25:94de:2220/1272c19:dd:d9:dd:c25:c25:94de:2221
182c19:dd:d9:dd:c25:c25:94de:2222/1272c19:dd:d9:dd:c25:c25:94de:2223
192c19:dd:d9:dd:c25:c25:94de:2224/1272c19:dd:d9:dd:c25:c25:94de:2225
202c19:dd:d9:dd:c25:c25:94de:2226/1272c19:dd:d9:dd:c25:c25:94de:2227
212c19:dd:d9:dd:c25:c25:94de:2228/1272c19:dd:d9:dd:c25:c25:94de:2229
222c19:dd:d9:dd:c25:c25:94de:222a/1272c19:dd:d9:dd:c25:c25:94de:222b
232c19:dd:d9:dd:c25:c25:94de:222c/1272c19:dd:d9:dd:c25:c25:94de:222d
242c19:dd:d9:dd:c25:c25:94de:222e/1272c19:dd:d9:dd:c25:c25:94de:222f
252c19:dd:d9:dd:c25:c25:94de:2230/1272c19:dd:d9:dd:c25:c25:94de:2231
262c19:dd:d9:dd:c25:c25:94de:2232/1272c19:dd:d9:dd:c25:c25:94de:2233
272c19:dd:d9:dd:c25:c25:94de:2234/1272c19:dd:d9:dd:c25:c25:94de:2235
282c19:dd:d9:dd:c25:c25:94de:2236/1272c19:dd:d9:dd:c25:c25:94de:2237
292c19:dd:d9:dd:c25:c25:94de:2238/1272c19:dd:d9:dd:c25:c25:94de:2239
302c19:dd:d9:dd:c25:c25:94de:223a/1272c19:dd:d9:dd:c25:c25:94de:223b
312c19:dd:d9:dd:c25:c25:94de:223c/1272c19:dd:d9:dd:c25:c25:94de:223d
322c19:dd:d9:dd:c25:c25:94de:223e/1272c19:dd:d9:dd:c25:c25:94de:223f
332c19:dd:d9:dd:c25:c25:94de:2240/1272c19:dd:d9:dd:c25:c25:94de:2241
342c19:dd:d9:dd:c25:c25:94de:2242/1272c19:dd:d9:dd:c25:c25:94de:2243
352c19:dd:d9:dd:c25:c25:94de:2244/1272c19:dd:d9:dd:c25:c25:94de:2245
362c19:dd:d9:dd:c25:c25:94de:2246/1272c19:dd:d9:dd:c25:c25:94de:2247
372c19:dd:d9:dd:c25:c25:94de:2248/1272c19:dd:d9:dd:c25:c25:94de:2249
382c19:dd:d9:dd:c25:c25:94de:224a/1272c19:dd:d9:dd:c25:c25:94de:224b
392c19:dd:d9:dd:c25:c25:94de:224c/1272c19:dd:d9:dd:c25:c25:94de:224d
402c19:dd:d9:dd:c25:c25:94de:224e/1272c19:dd:d9:dd:c25:c25:94de:224f
412c19:dd:d9:dd:c25:c25:94de:2250/1272c19:dd:d9:dd:c25:c25:94de:2251
422c19:dd:d9:dd:c25:c25:94de:2252/1272c19:dd:d9:dd:c25:c25:94de:2253
432c19:dd:d9:dd:c25:c25:94de:2254/1272c19:dd:d9:dd:c25:c25:94de:2255
442c19:dd:d9:dd:c25:c25:94de:2256/1272c19:dd:d9:dd:c25:c25:94de:2257
452c19:dd:d9:dd:c25:c25:94de:2258/1272c19:dd:d9:dd:c25:c25:94de:2259
462c19:dd:d9:dd:c25:c25:94de:225a/1272c19:dd:d9:dd:c25:c25:94de:225b
472c19:dd:d9:dd:c25:c25:94de:225c/1272c19:dd:d9:dd:c25:c25:94de:225d
482c19:dd:d9:dd:c25:c25:94de:225e/1272c19:dd:d9:dd:c25:c25:94de:225f
492c19:dd:d9:dd:c25:c25:94de:2260/1272c19:dd:d9:dd:c25:c25:94de:2261
502c19:dd:d9:dd:c25:c25:94de:2262/1272c19:dd:d9:dd:c25:c25:94de:2263
512c19:dd:d9:dd:c25:c25:94de:2264/1272c19:dd:d9:dd:c25:c25:94de:2265
522c19:dd:d9:dd:c25:c25:94de:2266/1272c19:dd:d9:dd:c25:c25:94de:2267
532c19:dd:d9:dd:c25:c25:94de:2268/1272c19:dd:d9:dd:c25:c25:94de:2269
542c19:dd:d9:dd:c25:c25:94de:226a/1272c19:dd:d9:dd:c25:c25:94de:226b
552c19:dd:d9:dd:c25:c25:94de:226c/1272c19:dd:d9:dd:c25:c25:94de:226d
562c19:dd:d9:dd:c25:c25:94de:226e/1272c19:dd:d9:dd:c25:c25:94de:226f
572c19:dd:d9:dd:c25:c25:94de:2270/1272c19:dd:d9:dd:c25:c25:94de:2271
582c19:dd:d9:dd:c25:c25:94de:2272/1272c19:dd:d9:dd:c25:c25:94de:2273
592c19:dd:d9:dd:c25:c25:94de:2274/1272c19:dd:d9:dd:c25:c25:94de:2275
602c19:dd:d9:dd:c25:c25:94de:2276/1272c19:dd:d9:dd:c25:c25:94de:2277
612c19:dd:d9:dd:c25:c25:94de:2278/1272c19:dd:d9:dd:c25:c25:94de:2279
622c19:dd:d9:dd:c25:c25:94de:227a/1272c19:dd:d9:dd:c25:c25:94de:227b
632c19:dd:d9:dd:c25:c25:94de:227c/1272c19:dd:d9:dd:c25:c25:94de:227d
642c19:dd:d9:dd:c25:c25:94de:227e/1272c19:dd:d9:dd:c25:c25:94de:227f
652c19:dd:d9:dd:c25:c25:94de:2280/1272c19:dd:d9:dd:c25:c25:94de:2281
662c19:dd:d9:dd:c25:c25:94de:2282/1272c19:dd:d9:dd:c25:c25:94de:2283
672c19:dd:d9:dd:c25:c25:94de:2284/1272c19:dd:d9:dd:c25:c25:94de:2285
682c19:dd:d9:dd:c25:c25:94de:2286/1272c19:dd:d9:dd:c25:c25:94de:2287
692c19:dd:d9:dd:c25:c25:94de:2288/1272c19:dd:d9:dd:c25:c25:94de:2289
702c19:dd:d9:dd:c25:c25:94de:228a/1272c19:dd:d9:dd:c25:c25:94de:228b
712c19:dd:d9:dd:c25:c25:94de:228c/1272c19:dd:d9:dd:c25:c25:94de:228d
722c19:dd:d9:dd:c25:c25:94de:228e/1272c19:dd:d9:dd:c25:c25:94de:228f
732c19:dd:d9:dd:c25:c25:94de:2290/1272c19:dd:d9:dd:c25:c25:94de:2291
742c19:dd:d9:dd:c25:c25:94de:2292/1272c19:dd:d9:dd:c25:c25:94de:2293
752c19:dd:d9:dd:c25:c25:94de:2294/1272c19:dd:d9:dd:c25:c25:94de:2295
762c19:dd:d9:dd:c25:c25:94de:2296/1272c19:dd:d9:dd:c25:c25:94de:2297
772c19:dd:d9:dd:c25:c25:94de:2298/1272c19:dd:d9:dd:c25:c25:94de:2299
782c19:dd:d9:dd:c25:c25:94de:229a/1272c19:dd:d9:dd:c25:c25:94de:229b
792c19:dd:d9:dd:c25:c25:94de:229c/1272c19:dd:d9:dd:c25:c25:94de:229d
802c19:dd:d9:dd:c25:c25:94de:229e/1272c19:dd:d9:dd:c25:c25:94de:229f
812c19:dd:d9:dd:c25:c25:94de:22a0/1272c19:dd:d9:dd:c25:c25:94de:22a1
822c19:dd:d9:dd:c25:c25:94de:22a2/1272c19:dd:d9:dd:c25:c25:94de:22a3
832c19:dd:d9:dd:c25:c25:94de:22a4/1272c19:dd:d9:dd:c25:c25:94de:22a5
842c19:dd:d9:dd:c25:c25:94de:22a6/1272c19:dd:d9:dd:c25:c25:94de:22a7
852c19:dd:d9:dd:c25:c25:94de:22a8/1272c19:dd:d9:dd:c25:c25:94de:22a9
862c19:dd:d9:dd:c25:c25:94de:22aa/1272c19:dd:d9:dd:c25:c25:94de:22ab
872c19:dd:d9:dd:c25:c25:94de:22ac/1272c19:dd:d9:dd:c25:c25:94de:22ad
882c19:dd:d9:dd:c25:c25:94de:22ae/1272c19:dd:d9:dd:c25:c25:94de:22af
892c19:dd:d9:dd:c25:c25:94de:22b0/1272c19:dd:d9:dd:c25:c25:94de:22b1
902c19:dd:d9:dd:c25:c25:94de:22b2/1272c19:dd:d9:dd:c25:c25:94de:22b3
912c19:dd:d9:dd:c25:c25:94de:22b4/1272c19:dd:d9:dd:c25:c25:94de:22b5
922c19:dd:d9:dd:c25:c25:94de:22b6/1272c19:dd:d9:dd:c25:c25:94de:22b7
932c19:dd:d9:dd:c25:c25:94de:22b8/1272c19:dd:d9:dd:c25:c25:94de:22b9
942c19:dd:d9:dd:c25:c25:94de:22ba/1272c19:dd:d9:dd:c25:c25:94de:22bb
952c19:dd:d9:dd:c25:c25:94de:22bc/1272c19:dd:d9:dd:c25:c25:94de:22bd
962c19:dd:d9:dd:c25:c25:94de:22be/1272c19:dd:d9:dd:c25:c25:94de:22bf
972c19:dd:d9:dd:c25:c25:94de:22c0/1272c19:dd:d9:dd:c25:c25:94de:22c1
982c19:dd:d9:dd:c25:c25:94de:22c2/1272c19:dd:d9:dd:c25:c25:94de:22c3
992c19:dd:d9:dd:c25:c25:94de:22c4/1272c19:dd:d9:dd:c25:c25:94de:22c5
1002c19:dd:d9:dd:c25:c25:94de:22c6/1272c19:dd:d9:dd:c25:c25:94de:22c7
1012c19:dd:d9:dd:c25:c25:94de:22c8/1272c19:dd:d9:dd:c25:c25:94de:22c9
1022c19:dd:d9:dd:c25:c25:94de:22ca/1272c19:dd:d9:dd:c25:c25:94de:22cb
1032c19:dd:d9:dd:c25:c25:94de:22cc/1272c19:dd:d9:dd:c25:c25:94de:22cd
1042c19:dd:d9:dd:c25:c25:94de:22ce/1272c19:dd:d9:dd:c25:c25:94de:22cf
1052c19:dd:d9:dd:c25:c25:94de:22d0/1272c19:dd:d9:dd:c25:c25:94de:22d1
1062c19:dd:d9:dd:c25:c25:94de:22d2/1272c19:dd:d9:dd:c25:c25:94de:22d3
1072c19:dd:d9:dd:c25:c25:94de:22d4/1272c19:dd:d9:dd:c25:c25:94de:22d5
1082c19:dd:d9:dd:c25:c25:94de:22d6/1272c19:dd:d9:dd:c25:c25:94de:22d7
1092c19:dd:d9:dd:c25:c25:94de:22d8/1272c19:dd:d9:dd:c25:c25:94de:22d9
1102c19:dd:d9:dd:c25:c25:94de:22da/1272c19:dd:d9:dd:c25:c25:94de:22db
1112c19:dd:d9:dd:c25:c25:94de:22dc/1272c19:dd:d9:dd:c25:c25:94de:22dd
1122c19:dd:d9:dd:c25:c25:94de:22de/1272c19:dd:d9:dd:c25:c25:94de:22df
1132c19:dd:d9:dd:c25:c25:94de:22e0/1272c19:dd:d9:dd:c25:c25:94de:22e1
1142c19:dd:d9:dd:c25:c25:94de:22e2/1272c19:dd:d9:dd:c25:c25:94de:22e3
1152c19:dd:d9:dd:c25:c25:94de:22e4/1272c19:dd:d9:dd:c25:c25:94de:22e5
1162c19:dd:d9:dd:c25:c25:94de:22e6/1272c19:dd:d9:dd:c25:c25:94de:22e7
1172c19:dd:d9:dd:c25:c25:94de:22e8/1272c19:dd:d9:dd:c25:c25:94de:22e9
1182c19:dd:d9:dd:c25:c25:94de:22ea/1272c19:dd:d9:dd:c25:c25:94de:22eb
1192c19:dd:d9:dd:c25:c25:94de:22ec/1272c19:dd:d9:dd:c25:c25:94de:22ed
1202c19:dd:d9:dd:c25:c25:94de:22ee/1272c19:dd:d9:dd:c25:c25:94de:22ef
1212c19:dd:d9:dd:c25:c25:94de:22f0/1272c19:dd:d9:dd:c25:c25:94de:22f1
1222c19:dd:d9:dd:c25:c25:94de:22f2/1272c19:dd:d9:dd:c25:c25:94de:22f3
1232c19:dd:d9:dd:c25:c25:94de:22f4/1272c19:dd:d9:dd:c25:c25:94de:22f5
1242c19:dd:d9:dd:c25:c25:94de:22f6/1272c19:dd:d9:dd:c25:c25:94de:22f7
1252c19:dd:d9:dd:c25:c25:94de:22f8/1272c19:dd:d9:dd:c25:c25:94de:22f9
1262c19:dd:d9:dd:c25:c25:94de:22fa/1272c19:dd:d9:dd:c25:c25:94de:22fb
1272c19:dd:d9:dd:c25:c25:94de:22fc/1272c19:dd:d9:dd:c25:c25:94de:22fd
1282c19:dd:d9:dd:c25:c25:94de:22fe/1272c19:dd:d9:dd:c25:c25:94de:22ff
1292c19:dd:d9:dd:c25:c25:94de:2300/1272c19:dd:d9:dd:c25:c25:94de:2301
1302c19:dd:d9:dd:c25:c25:94de:2302/1272c19:dd:d9:dd:c25:c25:94de:2303
1312c19:dd:d9:dd:c25:c25:94de:2304/1272c19:dd:d9:dd:c25:c25:94de:2305
1322c19:dd:d9:dd:c25:c25:94de:2306/1272c19:dd:d9:dd:c25:c25:94de:2307
1332c19:dd:d9:dd:c25:c25:94de:2308/1272c19:dd:d9:dd:c25:c25:94de:2309
1342c19:dd:d9:dd:c25:c25:94de:230a/1272c19:dd:d9:dd:c25:c25:94de:230b
1352c19:dd:d9:dd:c25:c25:94de:230c/1272c19:dd:d9:dd:c25:c25:94de:230d
1362c19:dd:d9:dd:c25:c25:94de:230e/1272c19:dd:d9:dd:c25:c25:94de:230f
1372c19:dd:d9:dd:c25:c25:94de:2310/1272c19:dd:d9:dd:c25:c25:94de:2311
1382c19:dd:d9:dd:c25:c25:94de:2312/1272c19:dd:d9:dd:c25:c25:94de:2313
1392c19:dd:d9:dd:c25:c25:94de:2314/1272c19:dd:d9:dd:c25:c25:94de:2315
1402c19:dd:d9:dd:c25:c25:94de:2316/1272c19:dd:d9:dd:c25:c25:94de:2317
1412c19:dd:d9:dd:c25:c25:94de:2318/1272c19:dd:d9:dd:c25:c25:94de:2319
1422c19:dd:d9:dd:c25:c25:94de:231a/1272c19:dd:d9:dd:c25:c25:94de:231b
1432c19:dd:d9:dd:c25:c25:94de:231c/1272c19:dd:d9:dd:c25:c25:94de:231d
1442c19:dd:d9:dd:c25:c25:94de:231e/1272c19:dd:d9:dd:c25:c25:94de:231f
1452c19:dd:d9:dd:c25:c25:94de:2320/1272c19:dd:d9:dd:c25:c25:94de:2321
1462c19:dd:d9:dd:c25:c25:94de:2322/1272c19:dd:d9:dd:c25:c25:94de:2323
1472c19:dd:d9:dd:c25:c25:94de:2324/1272c19:dd:d9:dd:c25:c25:94de:2325
1482c19:dd:d9:dd:c25:c25:94de:2326/1272c19:dd:d9:dd:c25:c25:94de:2327
1492c19:dd:d9:dd:c25:c25:94de:2328/1272c19:dd:d9:dd:c25:c25:94de:2329
1502c19:dd:d9:dd:c25:c25:94de:232a/1272c19:dd:d9:dd:c25:c25:94de:232b
1512c19:dd:d9:dd:c25:c25:94de:232c/1272c19:dd:d9:dd:c25:c25:94de:232d
1522c19:dd:d9:dd:c25:c25:94de:232e/1272c19:dd:d9:dd:c25:c25:94de:232f
1532c19:dd:d9:dd:c25:c25:94de:2330/1272c19:dd:d9:dd:c25:c25:94de:2331
1542c19:dd:d9:dd:c25:c25:94de:2332/1272c19:dd:d9:dd:c25:c25:94de:2333
1552c19:dd:d9:dd:c25:c25:94de:2334/1272c19:dd:d9:dd:c25:c25:94de:2335
1562c19:dd:d9:dd:c25:c25:94de:2336/1272c19:dd:d9:dd:c25:c25:94de:2337
1572c19:dd:d9:dd:c25:c25:94de:2338/1272c19:dd:d9:dd:c25:c25:94de:2339
1582c19:dd:d9:dd:c25:c25:94de:233a/1272c19:dd:d9:dd:c25:c25:94de:233b
1592c19:dd:d9:dd:c25:c25:94de:233c/1272c19:dd:d9:dd:c25:c25:94de:233d
1602c19:dd:d9:dd:c25:c25:94de:233e/1272c19:dd:d9:dd:c25:c25:94de:233f
1612c19:dd:d9:dd:c25:c25:94de:2340/1272c19:dd:d9:dd:c25:c25:94de:2341
1622c19:dd:d9:dd:c25:c25:94de:2342/1272c19:dd:d9:dd:c25:c25:94de:2343
1632c19:dd:d9:dd:c25:c25:94de:2344/1272c19:dd:d9:dd:c25:c25:94de:2345
1642c19:dd:d9:dd:c25:c25:94de:2346/1272c19:dd:d9:dd:c25:c25:94de:2347
1652c19:dd:d9:dd:c25:c25:94de:2348/1272c19:dd:d9:dd:c25:c25:94de:2349
1662c19:dd:d9:dd:c25:c25:94de:234a/1272c19:dd:d9:dd:c25:c25:94de:234b
1672c19:dd:d9:dd:c25:c25:94de:234c/1272c19:dd:d9:dd:c25:c25:94de:234d
1682c19:dd:d9:dd:c25:c25:94de:234e/1272c19:dd:d9:dd:c25:c25:94de:234f
1692c19:dd:d9:dd:c25:c25:94de:2350/1272c19:dd:d9:dd:c25:c25:94de:2351
1702c19:dd:d9:dd:c25:c25:94de:2352/1272c19:dd:d9:dd:c25:c25:94de:2353
1712c19:dd:d9:dd:c25:c25:94de:2354/1272c19:dd:d9:dd:c25:c25:94de:2355
1722c19:dd:d9:dd:c25:c25:94de:2356/1272c19:dd:d9:dd:c25:c25:94de:2357
1732c19:dd:d9:dd:c25:c25:94de:2358/1272c19:dd:d9:dd:c25:c25:94de:2359
1742c19:dd:d9:dd:c25:c25:94de:235a/1272c19:dd:d9:dd:c25:c25:94de:235b
1752c19:dd:d9:dd:c25:c25:94de:235c/1272c19:dd:d9:dd:c25:c25:94de:235d
1762c19:dd:d9:dd:c25:c25:94de:235e/1272c19:dd:d9:dd:c25:c25:94de:235f
1772c19:dd:d9:dd:c25:c25:94de:2360/1272c19:dd:d9:dd:c25:c25:94de:2361
1782c19:dd:d9:dd:c25:c25:94de:2362/1272c19:dd:d9:dd:c25:c25:94de:2363
1792c19:dd:d9:dd:c25:c25:94de:2364/1272c19:dd:d9:dd:c25:c25:94de:2365
1802c19:dd:d9:dd:c25:c25:94de:2366/1272c19:dd:d9:dd:c25:c25:94de:2367
1812c19:dd:d9:dd:c25:c25:94de:2368/1272c19:dd:d9:dd:c25:c25:94de:2369
1822c19:dd:d9:dd:c25:c25:94de:236a/1272c19:dd:d9:dd:c25:c25:94de:236b
1832c19:dd:d9:dd:c25:c25:94de:236c/1272c19:dd:d9:dd:c25:c25:94de:236d
1842c19:dd:d9:dd:c25:c25:94de:236e/1272c19:dd:d9:dd:c25:c25:94de:236f
1852c19:dd:d9:dd:c25:c25:94de:2370/1272c19:dd:d9:dd:c25:c25:94de:2371
1862c19:dd:d9:dd:c25:c25:94de:2372/1272c19:dd:d9:dd:c25:c25:94de:2373
1872c19:dd:d9:dd:c25:c25:94de:2374/1272c19:dd:d9:dd:c25:c25:94de:2375
1882c19:dd:d9:dd:c25:c25:94de:2376/1272c19:dd:d9:dd:c25:c25:94de:2377
1892c19:dd:d9:dd:c25:c25:94de:2378/1272c19:dd:d9:dd:c25:c25:94de:2379
1902c19:dd:d9:dd:c25:c25:94de:237a/1272c19:dd:d9:dd:c25:c25:94de:237b
1912c19:dd:d9:dd:c25:c25:94de:237c/1272c19:dd:d9:dd:c25:c25:94de:237d
1922c19:dd:d9:dd:c25:c25:94de:237e/1272c19:dd:d9:dd:c25:c25:94de:237f
1932c19:dd:d9:dd:c25:c25:94de:2380/1272c19:dd:d9:dd:c25:c25:94de:2381
1942c19:dd:d9:dd:c25:c25:94de:2382/1272c19:dd:d9:dd:c25:c25:94de:2383
1952c19:dd:d9:dd:c25:c25:94de:2384/1272c19:dd:d9:dd:c25:c25:94de:2385
1962c19:dd:d9:dd:c25:c25:94de:2386/1272c19:dd:d9:dd:c25:c25:94de:2387
1972c19:dd:d9:dd:c25:c25:94de:2388/1272c19:dd:d9:dd:c25:c25:94de:2389
1982c19:dd:d9:dd:c25:c25:94de:238a/1272c19:dd:d9:dd:c25:c25:94de:238b
1992c19:dd:d9:dd:c25:c25:94de:238c/1272c19:dd:d9:dd:c25:c25:94de:238d
2002c19:dd:d9:dd:c25:c25:94de:238e/1272c19:dd:d9:dd:c25:c25:94de:238f
2012c19:dd:d9:dd:c25:c25:94de:2390/1272c19:dd:d9:dd:c25:c25:94de:2391
2022c19:dd:d9:dd:c25:c25:94de:2392/1272c19:dd:d9:dd:c25:c25:94de:2393
2032c19:dd:d9:dd:c25:c25:94de:2394/1272c19:dd:d9:dd:c25:c25:94de:2395
2042c19:dd:d9:dd:c25:c25:94de:2396/1272c19:dd:d9:dd:c25:c25:94de:2397
2052c19:dd:d9:dd:c25:c25:94de:2398/1272c19:dd:d9:dd:c25:c25:94de:2399
2062c19:dd:d9:dd:c25:c25:94de:239a/1272c19:dd:d9:dd:c25:c25:94de:239b
2072c19:dd:d9:dd:c25:c25:94de:239c/1272c19:dd:d9:dd:c25:c25:94de:239d
2082c19:dd:d9:dd:c25:c25:94de:239e/1272c19:dd:d9:dd:c25:c25:94de:239f
2092c19:dd:d9:dd:c25:c25:94de:23a0/1272c19:dd:d9:dd:c25:c25:94de:23a1
2102c19:dd:d9:dd:c25:c25:94de:23a2/1272c19:dd:d9:dd:c25:c25:94de:23a3
2112c19:dd:d9:dd:c25:c25:94de:23a4/1272c19:dd:d9:dd:c25:c25:94de:23a5
2122c19:dd:d9:dd:c25:c25:94de:23a6/1272c19:dd:d9:dd:c25:c25:94de:23a7
2132c19:dd:d9:dd:c25:c25:94de:23a8/1272c19:dd:d9:dd:c25:c25:94de:23a9
2142c19:dd:d9:dd:c25:c25:94de:23aa/1272c19:dd:d9:dd:c25:c25:94de:23ab
2152c19:dd:d9:dd:c25:c25:94de:23ac/1272c19:dd:d9:dd:c25:c25:94de:23ad
2162c19:dd:d9:dd:c25:c25:94de:23ae/1272c19:dd:d9:dd:c25:c25:94de:23af
2172c19:dd:d9:dd:c25:c25:94de:23b0/1272c19:dd:d9:dd:c25:c25:94de:23b1
2182c19:dd:d9:dd:c25:c25:94de:23b2/1272c19:dd:d9:dd:c25:c25:94de:23b3
2192c19:dd:d9:dd:c25:c25:94de:23b4/1272c19:dd:d9:dd:c25:c25:94de:23b5
2202c19:dd:d9:dd:c25:c25:94de:23b6/1272c19:dd:d9:dd:c25:c25:94de:23b7
2212c19:dd:d9:dd:c25:c25:94de:23b8/1272c19:dd:d9:dd:c25:c25:94de:23b9
2222c19:dd:d9:dd:c25:c25:94de:23ba/1272c19:dd:d9:dd:c25:c25:94de:23bb
2232c19:dd:d9:dd:c25:c25:94de:23bc/1272c19:dd:d9:dd:c25:c25:94de:23bd
2242c19:dd:d9:dd:c25:c25:94de:23be/1272c19:dd:d9:dd:c25:c25:94de:23bf
2252c19:dd:d9:dd:c25:c25:94de:23c0/1272c19:dd:d9:dd:c25:c25:94de:23c1
2262c19:dd:d9:dd:c25:c25:94de:23c2/1272c19:dd:d9:dd:c25:c25:94de:23c3
2272c19:dd:d9:dd:c25:c25:94de:23c4/1272c19:dd:d9:dd:c25:c25:94de:23c5
2282c19:dd:d9:dd:c25:c25:94de:23c6/1272c19:dd:d9:dd:c25:c25:94de:23c7
2292c19:dd:d9:dd:c25:c25:94de:23c8/1272c19:dd:d9:dd:c25:c25:94de:23c9
2302c19:dd:d9:dd:c25:c25:94de:23ca/1272c19:dd:d9:dd:c25:c25:94de:23cb
2312c19:dd:d9:dd:c25:c25:94de:23cc/1272c19:dd:d9:dd:c25:c25:94de:23cd
2322c19:dd:d9:dd:c25:c25:94de:23ce/1272c19:dd:d9:dd:c25:c25:94de:23cf
2332c19:dd:d9:dd:c25:c25:94de:23d0/1272c19:dd:d9:dd:c25:c25:94de:23d1
2342c19:dd:d9:dd:c25:c25:94de:23d2/1272c19:dd:d9:dd:c25:c25:94de:23d3
2352c19:dd:d9:dd:c25:c25:94de:23d4/1272c19:dd:d9:dd:c25:c25:94de:23d5
2362c19:dd:d9:dd:c25:c25:94de:23d6/1272c19:dd:d9:dd:c25:c25:94de:23d7
2372c19:dd:d9:dd:c25:c25:94de:23d8/1272c19:dd:d9:dd:c25:c25:94de:23d9
2382c19:dd:d9:dd:c25:c25:94de:23da/1272c19:dd:d9:dd:c25:c25:94de:23db
2392c19:dd:d9:dd:c25:c25:94de:23dc/1272c19:dd:d9:dd:c25:c25:94de:23dd
2402c19:dd:d9:dd:c25:c25:94de:23de/1272c19:dd:d9:dd:c25:c25:94de:23df
2412c19:dd:d9:dd:c25:c25:94de:23e0/1272c19:dd:d9:dd:c25:c25:94de:23e1
2422c19:dd:d9:dd:c25:c25:94de:23e2/1272c19:dd:d9:dd:c25:c25:94de:23e3
2432c19:dd:d9:dd:c25:c25:94de:23e4/1272c19:dd:d9:dd:c25:c25:94de:23e5
2442c19:dd:d9:dd:c25:c25:94de:23e6/1272c19:dd:d9:dd:c25:c25:94de:23e7
2452c19:dd:d9:dd:c25:c25:94de:23e8/1272c19:dd:d9:dd:c25:c25:94de:23e9
2462c19:dd:d9:dd:c25:c25:94de:23ea/1272c19:dd:d9:dd:c25:c25:94de:23eb
2472c19:dd:d9:dd:c25:c25:94de:23ec/1272c19:dd:d9:dd:c25:c25:94de:23ed
2482c19:dd:d9:dd:c25:c25:94de:23ee/1272c19:dd:d9:dd:c25:c25:94de:23ef
2492c19:dd:d9:dd:c25:c25:94de:23f0/1272c19:dd:d9:dd:c25:c25:94de:23f1
2502c19:dd:d9:dd:c25:c25:94de:23f2/1272c19:dd:d9:dd:c25:c25:94de:23f3
2512c19:dd:d9:dd:c25:c25:94de:23f4/1272c19:dd:d9:dd:c25:c25:94de:23f5
2522c19:dd:d9:dd:c25:c25:94de:23f6/1272c19:dd:d9:dd:c25:c25:94de:23f7
2532c19:dd:d9:dd:c25:c25:94de:23f8/1272c19:dd:d9:dd:c25:c25:94de:23f9
2542c19:dd:d9:dd:c25:c25:94de:23fa/1272c19:dd:d9:dd:c25:c25:94de:23fb
2552c19:dd:d9:dd:c25:c25:94de:23fc/1272c19:dd:d9:dd:c25:c25:94de:23fd
2562c19:dd:d9:dd:c25:c25:94de:23fe/1272c19:dd:d9:dd:c25:c25:94de:23ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses